com.fasterxml.jackson.module.afterburner.deser

## Class BeanPropertyMutator

- java.lang.Object
- - com.fasterxml.jackson.module.afterburner.deser.BeanPropertyMutator

    public abstract class BeanPropertyMutator
    extends Object

Abstract class that defines interface for implementations that can be used proxy-like to change values of properties, without using Reflection.

### Constructor Summary

Constructors
Constructor and Description
`BeanPropertyMutator()`

### Method Summary

Methods
`protected void` `_reportProblem(Object bean, int index, Throwable e)`
`protected void` `intField(Object bean, int propertyIndex, int value)`
`void` `intField(com.fasterxml.jackson.databind.deser.SettableBeanProperty originalMutator, Object bean, int propertyIndex, int value)`
`protected void` `intSetter(Object bean, int propertyIndex, int value)`
`void` `intSetter(com.fasterxml.jackson.databind.deser.SettableBeanProperty originalMutator, Object bean, int propertyIndex, int value)`
`protected void` `longField(Object bean, int propertyIndex, long value)`
`void` `longField(com.fasterxml.jackson.databind.deser.SettableBeanProperty originalMutator, Object bean, int propertyIndex, long value)`
`protected void` `longSetter(Object bean, int propertyIndex, long value)`
`void` `longSetter(com.fasterxml.jackson.databind.deser.SettableBeanProperty originalMutator, Object bean, int propertyIndex, long value)`
`protected void` `objectField(Object bean, int propertyIndex, Object value)`
`void` `objectField(com.fasterxml.jackson.databind.deser.SettableBeanProperty originalMutator, Object bean, int propertyIndex, Object value)`
`protected void` `objectSetter(Object bean, int propertyIndex, Object value)`
`void` `objectSetter(com.fasterxml.jackson.databind.deser.SettableBeanProperty originalMutator, Object bean, int propertyIndex, Object value)`
`protected void` `stringField(Object bean, int propertyIndex, String value)`
`void` `stringField(com.fasterxml.jackson.databind.deser.SettableBeanProperty originalMutator, Object bean, int propertyIndex, String value)`
`protected void` `stringSetter(Object bean, int propertyIndex, String value)`
`void` `stringSetter(com.fasterxml.jackson.databind.deser.SettableBeanProperty originalMutator, Object bean, int propertyIndex, String value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BeanPropertyMutator

    public BeanPropertyMutator()

### Method Detail

#### intSetter

    public void intSetter(com.fasterxml.jackson.databind.deser.SettableBeanProperty originalMutator,
                 Object bean,
                 int propertyIndex,
                 int value)
                   throws IOException

Throws:
  `IOException`

#### longSetter

    public void longSetter(com.fasterxml.jackson.databind.deser.SettableBeanProperty originalMutator,
                  Object bean,
                  int propertyIndex,
                  long value)
                    throws IOException

Throws:
  `IOException`

#### stringSetter

    public void stringSetter(com.fasterxml.jackson.databind.deser.SettableBeanProperty originalMutator,
                    Object bean,
                    int propertyIndex,
                    String value)
                      throws IOException

Throws:
  `IOException`

#### objectSetter

    public void objectSetter(com.fasterxml.jackson.databind.deser.SettableBeanProperty originalMutator,
                    Object bean,
                    int propertyIndex,
                    Object value)
                      throws IOException

Throws:
  `IOException`

#### intField

    public void intField(com.fasterxml.jackson.databind.deser.SettableBeanProperty originalMutator,
                Object bean,
                int propertyIndex,
                int value)
                  throws IOException

Throws:
  `IOException`

#### longField

    public void longField(com.fasterxml.jackson.databind.deser.SettableBeanProperty originalMutator,
                 Object bean,
                 int propertyIndex,
                 long value)
                   throws IOException

Throws:
  `IOException`

#### stringField

    public void stringField(com.fasterxml.jackson.databind.deser.SettableBeanProperty originalMutator,
                   Object bean,
                   int propertyIndex,
                   String value)
                     throws IOException

Throws:
  `IOException`

#### objectField

    public void objectField(com.fasterxml.jackson.databind.deser.SettableBeanProperty originalMutator,
                   Object bean,
                   int propertyIndex,
                   Object value)
                     throws IOException

Throws:
  `IOException`

#### intSetter

    protected void intSetter(Object bean,
                 int propertyIndex,
                 int value)

#### longSetter

    protected void longSetter(Object bean,
                  int propertyIndex,
                  long value)

#### stringSetter

    protected void stringSetter(Object bean,
                    int propertyIndex,
                    String value)

#### objectSetter

    protected void objectSetter(Object bean,
                    int propertyIndex,
                    Object value)

#### intField

    protected void intField(Object bean,
                int propertyIndex,
                int value)

#### longField

    protected void longField(Object bean,
                 int propertyIndex,
                 long value)

#### stringField

    protected void stringField(Object bean,
                   int propertyIndex,
                   String value)

#### objectField

    protected void objectField(Object bean,
                   int propertyIndex,
                   Object value)

#### _reportProblem

    protected void _reportProblem(Object bean,
                      int index,
                      Throwable e)